%define upstream_name    DefHash
%define upstream_version 2.0.1

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Sah schemas to validate DefHash
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module//%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(Test::More)
BuildArch:  noarch

%description
This module contains the Sah manpage schemas to validate the DefHash
manpage.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Sat Jun 28 2025 umeabot <umeabot> 2.0.1-2.mga10
+ Revision: 2215753
- Mageia 10 Mass Rebuild

* Thu Oct 27 2022 tv <tv> 2.0.1-1.mga9
+ Revision: 1899621
- update to 2.0.1

* Mon Mar 21 2022 umeabot <umeabot> 2.0.0-2.mga9
+ Revision: 1814851
- Mageia 9 Mass Rebuild

* Mon Aug 16 2021 tv <tv> 2.0.0-1.mga9
+ Revision: 1741590
- update to 2.0.0

* Sat Feb 15 2020 umeabot <umeabot> 1.0.12-2.mga8
+ Revision: 1526799
- Mageia 8 Mass Rebuild

* Sat Jun 29 2019 tv <tv> 1.0.12-1.mga8
+ Revision: 1415953
- update to 1.0.12

* Wed Sep 19 2018 umeabot <umeabot> 1.0.11-4.mga7
+ Revision: 1267166
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 1.0.11-3.mga6
+ Revision: 1025485
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 1.0.11-2.mga6
+ Revision: 969631
- Mageia 6 Mass Rebuild

* Sun Sep 06 2015 sander85 <sander85> 1.0.11-1.mga6
+ Revision: 873463
- update to 1.0.11

* Tue Jul 14 2015 sander85 <sander85> 1.0.10-1.mga6
+ Revision: 854133
- update to 1.0.10

* Wed Oct 15 2014 umeabot <umeabot> 1.0.5-3.mga5
+ Revision: 739710
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0.5-2.mga5
+ Revision: 684297
- Mageia 5 Mass Rebuild

* Tue Jul 29 2014 guillomovitch <guillomovitch> 1.0.5-1.mga5
+ Revision: 657965
- imported package perl-DefHash


* Tue Jul 29 2014 cpan2dist 1.0.5-1mga
- initial mageia release, generated with cpan2dist
